# -*- coding: utf-8 -*-  
from odoo import models, fields
import unused_module  # F401

class CodeQualityPRTest(models.Model):
    _name = 'code.quality.test'
    
    name = fields.Char('Name')
    
    # E501
    very_long_field = fields.Text('Field', help='This is an extremely long help text that exceeds the 120 character limit that we have configured in our flake8 settings')
    
    # F821
    def buggy_method(self):
        return undefined + 1
